<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout/main.html}">
<head>
<title>SQuaRe2</title>
</head>
<body>
	<th:block layout:fragment="buttons">
		<ul class="navbar-nav">
			<li class="nav-item btn-hoverborder"><a class="nav-link btn" th:href="@{/welcome}" th:title="#{button.welcome}"><i
					class="fas fa-home" onclick="progress.start()"></i></a></li>
		</ul>
	</th:block>
	<th:block layout:fragment="links">
		<ul class="navbar-nav">
			<li class="nav-item"><div class="nav-link menubtnselected" th:text="#{button.admin.appconfig}"></div></li>
		</ul>
	</th:block>
	<main layout:fragment="content">
		<div class="whitepanel" th:if="${@sessionBean.isAdmin}">
			<table id="table" class="table table-striped">
				<thead>
					<tr>
						<th th:text="#{label.admin.menuitem.order}"></th>
						<th th:text="#{label.admin.menuitem.id}"></th>
						<th th:text="#{label.admin.menuitem.url}"></th>
					</tr>
				</thead>
				<tbody>
					<tr th:each="i : ${menuitems}">
						<td th:text="${i.orderNr}"></td>
						<td><a th:href="@{/menuitem/{pk}(pk=${i.pk})}" th:text="${i.id}"></a></td>
						<td><a th:href="@{/menuitem/{pk}(pk=${i.pk})}" th:text="${i.url}"></a></td>
					</tr>
				</tbody>
			</table>
		</div>
		<script type="text/javascript">
			$(document).ready(function() {
				var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
				$('#table').DataTable({
					"language" : {
						"url" : localeUrl
					}
				});
			});
		</script>
	</main>
</body>
</html>